Subject: Autodock and Red Hat 6.1

From: Tansu KINIKLI <[email-masked]>
Date: Sat, 1 Apr 2000 14:06:24 +0400 (MEDT)

Hello ,

  When I compile autodock in Red Hat 6.1, I get some warning messages like
  this,

gs.cc: In method `Genetic_Algorithm::Genetic_Algorithm(enum EvalMode, enum Selection_Mode, enum Xover_Mode, enum Worst_Mode, int, float, float, int, unsigned int)':
gs.cc:158: warning: assignment to `int' from `double'
gs.cc:158: warning: assignment to `int' from `double'

ranlib.cc: In function `FourByteLong ignbin(FourByteLong, float)':
ranlib.cc:766: warning: assignment to `FourByteLong' from `float'
ranlib.cc:791: warning: assignment to `FourByteLong' from `float'
ranlib.cc:801: warning: assignment to `FourByteLong' from `float'
ranlib.cc:808: warning: assignment to `FourByteLong' from `double'
ranlib.cc:816: warning: assignment to `FourByteLong' from `double'
support.cc: In method `struct Molecule * Individual::getMol()':
support.cc:626: warning: address of local variable `returnedMol' returned

  and When I run autodock3 I get core file, My Makefile intro is

  CC        = gcc
  LIB       = -lm
  CSTD      = -DHPPA -D_HPUX_SOURCE $(PROF) $(DBUG) $(WARN)
  CFLAGS    = $(OPT)
  OPTLEVEL  = -O3
  OPT       = $(CSTD) $(OPTLEVEL)
  OLIMIT    = $(OPT)
  LINKOPT   = $(OPT)
  LINK      = $(LINKOPT)
  LINT      = lint
  LINTFLAGS = -DHPPA -D_HPUX_SOURCE $(LIB) -c
  DBUG      = -DNDEBUG # No debugging and no assert code
  PROF      = # No profiling
  WARN      = # Default warning level

What can I do for it?

Regards.

Tansu KINIKLI
Hacettepe University
Bioengineering Department
Beytepe, Ankara , Turkey